<?php

include_once 'config.php';

// DBアクセスクラス
class DbAccess
{

    private $con_str = "";

    /*
      コンストラクタ
      大域変数_DB_CONFIGを取得し、DB接続情報文字列を生成
    */
    public function __construct()
    {
        $db_config = $GLOBALS['_DB_CONFIG'];
        $this->con_str = "dbname=" . $db_config['dbname'] . " host=" . $db_config['host'] . " user=" . $db_config['user'];
        if ($db_config['password']) {
            $this->con_str = $this->con_str . " password=" . $db_config['password'];
        }
    }

    /*
      すべての仕入れ情報を取得
    */
    public function getAllOrders()
    {
        // DB接続
        $dbcon = pg_connect($this->con_str);

        // DB接続失敗時の処理
        if (!$dbcon) {
            pg_close($dbcon);
            return NULL;
        }

        // SQLを実行
        $sql = "SELECT * FROM orders";
        $result = pg_query($dbcon, $sql);
        pg_close($dbcon);

        if (pg_num_rows($result) < 1) {
            return NULL;
        }

        return $result;
    }

}

?>
